## kxmlgui 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project(KXmlGui VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMMarkNonGuiExecutable)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)

include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KXMLGUI
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
                  SOVERSION 5)

option(FORCE_DISABLE_KGLOBALACCEL "Force building KXmlGui without KGlobalAccel. Doing this will break global shortcut support. [default=OFF]" OFF)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

# Dependencies
set(REQUIRED_QT_VERSION 5.7.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus Xml Network PrintSupport)

find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Attica ${KF5_DEP_VERSION})
set_package_properties(KF5Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                       PURPOSE "Support for Get Hot New Stuff in KXMLGUI"
                       URL "https://projects.kde.org/attica"
                       TYPE OPTIONAL
                      )
set (HAVE_ATTICA ${KF5Attica_FOUND})

if (NOT FORCE_DISABLE_KGLOBALACCEL)
    find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
endif()
set (HAVE_GLOBALACCEL ${KF5GlobalAccel_FOUND})

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"kxmlgui5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(autotests)


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlGui")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5XmlGui_QCH
        FILE KF5XmlGuiQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5XmlGuiQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5XmlGuiConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5XmlGuiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5XmlGuiTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_subdirectory(ksendbugmail)

if (HAVE_ATTICA)
   set (XMLGUI_EXTRA_LIBS ${XMLGUI_EXTRA_LIBS} KF5::Attica)
endif ()
if (HAVE_GLOBALACCEL)
   set (XMLGUI_EXTRA_LIBS ${XMLGUI_EXTRA_LIBS} KF5::GlobalAccel)
endif ()
if(WIN32)
    set (XMLGUI_EXTRA_LIBS ${XMLGUI_EXTRA_LIBS} secur32) # GetUserNameEx()
endif()

configure_file(config-xmlgui.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-xmlgui.h )

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kaboutapplicationconfigattica_p.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kaboutapplicationconfigattica_p.h
)

set(kxmlgui_SRCS
  kaboutapplicationdialog.cpp
  kaboutapplicationpersonlistdelegate_p.cpp
  kaboutapplicationpersonlistview_p.cpp
  kaboutapplicationpersonmodel_p.cpp
  kaboutkdedialog_p.cpp
  kactioncategory.cpp
  kactioncollection.cpp
  kactionconflictdetector.cpp
  kbugreport.cpp
  kedittoolbar.cpp
  kgesture.cpp
  kgesturemap.cpp
  khelpmenu.cpp
  kkeysequencewidget.cpp
  kmainwindow.cpp
  kmainwindowiface.cpp
  kmenumenuhandler_p.cpp
  kshortcuteditwidget.cpp
  kshortcutschemeseditor.cpp
  kshortcutschemeshelper.cpp
  kshortcutsdialog.cpp
  kshortcutseditor.cpp
  kshortcutseditordelegate.cpp
  kshortcutseditoritem.cpp
  kshortcutwidget.cpp
  kswitchlanguagedialog_p.cpp
  ktoggletoolbaraction.cpp
  ktoolbar.cpp
  ktoolbarhandler.cpp
  ktoolbarhelper.cpp
  kxmlguibuilder.cpp
  kxmlguiclient.cpp
  kxmlguifactory.cpp
  kxmlguifactory_p.cpp
  kxmlguiversionhandler.cpp
  kxmlguiwindow.cpp
  kundoactions.cpp
  kcheckaccelerators.cpp
)

# add the resource file
qt5_add_resources(kxmlgui_SRCS kxmlgui.qrc)

ecm_qt_declare_logging_category(kxmlgui_SRCS HEADER debug.h IDENTIFIER DEBUG_KXMLGUI CATEGORY_NAME kf5.kxmlgui)

set(kxmlgui_UI
   kshortcutsdialog.ui
   kshortcutwidget.ui
)

ki18n_wrap_ui(kxmlgui_SRCS ${kxmlgui_UI} )

add_library(KF5XmlGui ${kxmlgui_SRCS})
generate_export_header(KF5XmlGui BASE_NAME KXmlGui)
add_library(KF5::XmlGui ALIAS KF5XmlGui)

target_include_directories(KF5XmlGui INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlGui>")

if(Qt5Core_VERSION VERSION_LESS "5.9.0")
    set(QT5COREPRIVATE "") # No QtCorePrivate in < 5.9
else()
    set(QT5COREPRIVATE Qt5::CorePrivate)
endif()


target_link_libraries(KF5XmlGui
PUBLIC
    Qt5::DBus           #QDBus connect to signal in KToolBar
    Qt5::Xml            #To parse the configuration (QDomDocument etc)
    Qt5::Widgets        #QWidget is used everywhere
    KF5::ConfigCore         #Reading config for ToolbarIcons, Shortcut Schemes...
    KF5::ConfigWidgets      #KStandardAction, KToggleAction...
PRIVATE
    Qt5::Network        #QNetworkAccessManager in kaboutapplicationpersonmodel_p
    Qt5::PrintSupport   #QPrinter in kshortcutseditor
    ${QT5COREPRIVATE}   #QSystemLocale in initializeLanguages
    KF5::CoreAddons     #KAboutData
    KF5::WidgetsAddons
    KF5::ItemViews           #KWidgetItemDelegate in KAboutApplicationPersonListDelegate
    KF5::I18n                #i18n and i18nc in many places
    KF5::IconThemes         #KIconLoader and KIconThemes in KToolBar
    KF5::TextWidgets        #KTextEdit in kbugreport
    KF5::WindowSystem       #KKeyServer in kkeysequencewidget
    ${XMLGUI_EXTRA_LIBS}
)

set_target_properties(KF5XmlGui PROPERTIES VERSION   ${KXMLGUI_VERSION_STRING}
                                           SOVERSION ${KXMLGUI_SOVERSION}
                                           EXPORT_NAME XmlGui
)

ecm_generate_headers(KXmlGui_HEADERS
  HEADER_NAMES
  KAboutApplicationDialog
  KActionCategory
  KActionCollection
  KBugReport
  KEditToolBar
  KHelpMenu
  KKeySequenceWidget
  KMainWindow
  KShortcutsDialog
  KShortcutsEditor
  KShortcutWidget
  KToggleToolBarAction
  KToolBar
  KXMLGUIBuilder
  KXMLGUIClient
  KXMLGUIFactory
  KXmlGuiWindow
  KUndoActions

  REQUIRED_HEADERS KXmlGui_HEADERS
)

install(TARGETS KF5XmlGui EXPORT KF5XmlGuiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  kgesture_p.h
  kgesturemap_p.h
  ${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_export.h
  ${KXmlGui_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlGui COMPONENT Devel
)

# install this file to be compatible, it is bundled in the resource file, too
install( FILES ui_standards.rc  DESTINATION  ${KDE_INSTALL_CONFDIR}/ui )

if (BUILD_QCH)
    ecm_add_qch(
        KF5XmlGui_QCH
        NAME KXmlGui
        BASE_NAME KF5XmlGui
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KXmlGui_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Xml_QCH
            Qt5DBus_QCH
            Qt5Widgets_QCH
            KF5Config_QCH
            KF5ConfigWidgets_QCH
        BLANK_MACROS
            KXMLGUI_EXPORT
            KXMLGUI_DEPRECATED_EXPORT
            KXMLGUI_DEPRECATED
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KXmlGui LIB_NAME KF5XmlGui DEPS "dbus xml widgets KConfigCore KConfigWidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlGui)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kxmlgui (5.44.0-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:17:53 -0500

kxmlgui (5.44.0-0ubuntu1) bionic; urgency=medium

  * New build dep on qtbase5-private-dev
  * New upstream release (5.44.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:59:31 +0000

kxmlgui (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:16:58 +0000

kxmlgui (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:23:22 +0000

kxmlgui (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:08:29 -0600

kxmlgui (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:18:05 +0000

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5attica-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5configwidgets-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5globalaccel-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5itemviews-dev (>= 5.44.0~),
               libkf5textwidgets-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Architecture: any
Section: libdevel
Depends: libkf5attica-dev (>= 5.44.0~),
         libkf5config-dev (>= 5.44.0~),
         libkf5configwidgets-dev (>= 5.44.0~),
         libkf5globalaccel-dev (>= 5.44.0~),
         libkf5iconthemes-dev (>= 5.44.0~),
         libkf5itemviews-dev (>= 5.44.0~),
         libkf5textwidgets-dev (>= 5.44.0~),
         libkf5windowsystem-dev (>= 5.44.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5xmlgui5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         libkf5globalaccel-bin
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kxmlgui-([\d.]+)\.tar\.xz

## kxmlgui 5.50.0

=== debian/changelog ===
kxmlgui (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:42 +0100

kxmlgui (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * No change rebuild against Qt 5.10
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:37 +0100

kxmlgui (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:52 +0100

kxmlgui (5.46.0-1) unstable; urgency=medium

  * Update symbols files from buildds logs (5.45.0-1).
  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:43 +0200

kxmlgui (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:00 +0100

kxmlgui (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:04 +0200

kxmlgui (5.44.0-2) sid; urgency=medium

  * New revision
  * Add qtbase5-private-dev build dep
  * Update symbols files.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 Mar 2018 07:33:02 +0100

kxmlgui (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:25 +0100

kxmlgui (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:15 +0100

kxmlgui (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:18 +0100

kxmlgui (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:04 +0100

kxmlgui (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:16 -0300

kxmlgui (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:48:57 +0000

kxmlgui (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:00:49 +0000

kxmlgui (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:47:43 +0000

kxmlgui (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:32:13 +0000

kxmlgui (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:59:01 +0200

kxmlgui (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5xmlgui-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:24 +0200

kxmlgui (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:18:39 +0000

kxmlgui (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
    + Applies reproducible build version patch (Closes: 835053)
      Thanks to Chris Lamb for reporting
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Update symbols files.
  * Let autopkgtest take care of the build required for the test
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:17 +0200

kxmlgui (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:15:24 +0000

kxmlgui (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:38:05 +0000

kxmlgui (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:40:28 +0000

kxmlgui (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:25:56 +0000

kxmlgui (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:24:25 +0000

kxmlgui (5.31.0-0neon) xenial; urgency=medium



=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libkf5attica-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5itemviews-dev (>= 5.50.0~),
               libkf5textwidgets-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Architecture: any
Section: libdevel
Depends: libkf5attica-dev (>= 5.50.0~),
         libkf5config-dev (>= 5.50.0~),
         libkf5configwidgets-dev (>= 5.50.0~),
         libkf5globalaccel-dev (>= 5.50.0~),
         libkf5iconthemes-dev (>= 5.50.0~),
         libkf5itemviews-dev (>= 5.50.0~),
         libkf5textwidgets-dev (>= 5.50.0~),
         libkf5windowsystem-dev (>= 5.50.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Breaks: frameworkintegration (<< 5.28),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5webkit5 (<< 5.42),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

## kxmlgui 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.44.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
 project(KXmlGui VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.44.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -35,7 +35,7 @@
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.7.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus Xml Network PrintSupport)
 
 find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
@@ -65,10 +65,12 @@
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
     ki18n_install(po)
 endif()
+
 add_subdirectory(src)
-add_subdirectory(tests)
-add_subdirectory(autotests)
-
+if (BUILD_TESTING)
+    add_subdirectory(tests)
+    add_subdirectory(autotests)
+endif()
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlGui")
@@ -106,4 +108,6 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
+install( FILES kxmlgui.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+
 feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kxmlgui (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:30 -0300

kxmlgui (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:27 +0100

kxmlgui (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:07 +0200

kxmlgui (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update symbols files
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:44 +0200

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libkf5attica-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5itemviews-dev (>= 5.54.0~),
               libkf5textwidgets-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlgui
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlgui.git

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.54.0~),
         libkf5config-dev (>= 5.54.0~),
         libkf5configwidgets-dev (>= 5.54.0~),
         libkf5globalaccel-dev (>= 5.54.0~),
         libkf5iconthemes-dev (>= 5.54.0~),
         libkf5itemviews-dev (>= 5.54.0~),
         libkf5textwidgets-dev (>= 5.54.0~),
         libkf5windowsystem-dev (>= 5.54.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5mediaplayer5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5parts-plugins (<< 5.54),
        libkf5parts5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.42),
        plasma-framework (<< 5.54),

## kxmlgui 5.56.0

=== debian/changelog ===
kxmlgui (5.56.0-0ubuntu2) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:30:58 +0000

kxmlgui (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:52 +0000

kxmlgui (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:33:18 +0000

kxmlgui (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:36 +0000

kxmlgui (5.53.0-0ubuntu2) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-2.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 01 Jan 2019 20:57:46 +0000

kxmlgui (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:50:09 +0000

kxmlgui (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install kxmlgui.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:32 +0000

kxmlgui (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:11:55 +0000

kxmlgui (5.50.0-0ubuntu2) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-2.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Nov 2018 14:24:35 +0000

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5attica-dev (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libkf5configwidgets-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5globalaccel-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5iconthemes-dev (>= 5.56.0~),
               libkf5itemviews-dev (>= 5.56.0~),
               libkf5textwidgets-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libkf5windowsystem-dev (>= 5.56.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Architecture: any
Section: libdevel
Depends: libkf5attica-dev (>= 5.55.0~),
         libkf5config-dev (>= 5.55.0~),
         libkf5configwidgets-dev (>= 5.55.0~),
         libkf5globalaccel-dev (>= 5.55.0~),
         libkf5iconthemes-dev (>= 5.55.0~),
         libkf5itemviews-dev (>= 5.55.0~),
         libkf5textwidgets-dev (>= 5.55.0~),
         libkf5windowsystem-dev (>= 5.55.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Breaks: frameworkintegration (<< 5.28),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5webkit5 (<< 5.42),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

## kxmlgui 5.62.0

=== debian/changelog ===
kxmlgui (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:15 -0700

kxmlgui (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info). (Closes: 930624)

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:04 +0100

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libkf5attica-dev (>= 5.62.0~),
               libkf5config-dev (>= 5.62.0~),
               libkf5configwidgets-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5globalaccel-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5iconthemes-dev (>= 5.62.0~),
               libkf5itemviews-dev (>= 5.62.0~),
               libkf5textwidgets-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libkf5windowsystem-dev (>= 5.62.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlgui
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlgui.git

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.62.0~),
         libkf5config-dev (>= 5.62.0~),
         libkf5configwidgets-dev (>= 5.62.0~),
         libkf5globalaccel-dev (>= 5.62.0~),
         libkf5iconthemes-dev (>= 5.62.0~),
         libkf5itemviews-dev (>= 5.62.0~),
         libkf5textwidgets-dev (>= 5.62.0~),
         libkf5windowsystem-dev (>= 5.62.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5mediaplayer5 (<< 5.54),
        libkf5newstuff5 (<< 5.54),
        libkf5parts-plugins (<< 5.54),
        libkf5parts5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.42),
        plasma-framework (<< 5.54),
